cURL
curl --request POST \
--url https://api.delaphonegh.com/v1/airtime \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipient_phone": "<string>",
"recipient_network": "<string>",
"amount": "<string>",
"reference": "<string>",
"webhook_url": "<string>"
}
'import requests
url = "https://api.delaphonegh.com/v1/airtime"
payload = {
"recipient_phone": "<string>",
"recipient_network": "<string>",
"amount": "<string>",
"reference": "<string>",
"webhook_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recipient_phone: '<string>',
recipient_network: '<string>',
amount: '<string>',
reference: '<string>',
webhook_url: '<string>'
})
};
fetch('https://api.delaphonegh.com/v1/airtime', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction_id": "<string>",
"status": "<string>"
}{
"error": {
"status": 123,
"title": "Invalid Request Value",
"detail": "<string>"
},
"success": false
}{
"error": {
"status": 401,
"title": "Authentication failed",
"detail": "<string>"
},
"success": false
}{
"error": {
"status": 402,
"title": "Payment Required",
"detail": "<string>"
},
"success": false
}{
"error": {
"status": 403,
"title": "Insufficient permissions",
"detail": "<string>"
},
"success": false
}{
"error": {
"status": 404,
"title": "Not found",
"detail": "The requested resource was not found"
},
"success": false
}{
"error": {
"status": 500,
"title": "Internal server error",
"detail": "We could not fulfil your request. Kindly try again in a few moments"
},
"success": false
}Endpoint Examples
Buy Airtime
Send airtime to a specified recipient.
POST
/
v1
/
airtime
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Airtime purchase details.
⌘I
